import numpy as np
from mpl_toolkits.mplot3d import Axes3D
import matplotlib.pyplot as plt
from matplotlib import cm
import seaborn # For nices plots. [<..>$ conda install seaborn]

# Standard deviation
sigma = 2

#Create grid
x = np.linspace(-5,5,500)
y = np.linspace(-5,5,500)
X, Y = np.meshgrid(x,y)
#R = np.sqrt(X**2 + Y**2)
#Z = np.sin(R)
Z = 1/(np.sqrt(2*np.pi*sigma**2))*np.exp(-1/2*(X**2 + Y**2)/(sigma**2))


fig = plt.figure()
ax = fig.gca(projection='3d')
ax.plot_surface(X, Y, Z, rstride=10, cstride=10, alpha=0.3)
cset = ax.contour(X, Y, Z, zdir='z', offset=-0.5, cmap=cm.coolwarm)
cset = ax.contour(X, Y, Z, zdir='x', offset=-5, cmap=cm.coolwarm)
cset = ax.contour(X, Y, Z, zdir='y', offset=5, cmap=cm.coolwarm)

ax.set_xlabel('X')
ax.set_xlim(-5, 5)
ax.set_ylabel('Y')
ax.set_ylim(-5, 5)
ax.set_zlabel('Z')
ax.set_zlim(-0.5, 0.5)

plt.show()
